'use strict';

Emitter.on('theme:updateColor', function (event, customColor) {
  window.GPMTheme.updateTheme({
    foreSecondary: customColor
  });
});

Emitter.on('theme:updateState', function (event, state) {
  if (state.state) {
    window.GPMTheme.enable();
  } else {
    window.GPMTheme.disable();
  }
});

Emitter.on('theme:updateType', function (event, type) {
  window.GPMTheme.updateTheme({
    type: type
  });
});

window.wait(function () {
  window.GPMTheme.updateTheme({
    type: Settings.get('themeType', 'FULL'),
    foreSecondary: Settings.get('themeColor')
  });
  if (Settings.get('theme')) {
    window.GPMTheme.enable();
  } else {
    window.GPMTheme.disable();
  }
});