'use strict';

require('./themeSettings');

require('./audioSelection');

require('./hotkeys');

require('./tray');

require('./lastFM');

require('./mini');

require('./general');

document.body.classList.add(process.platform);
// import './audioEQ';


if (window.$) {
  $(function () {
    $(document).ready(function () {
      $('ul.tabs').tabs();
      $('.indicator').addClass('theme-back').addClass('orange');

      var style = $('<style></style>');
      $('body').append(style);
      var redrawTheme = function redrawTheme(customColor) {
        var color = customColor || Settings.get('themeColor');
        var text = '[theme] .theme-text{color:' + color + ' !important;}';
        var back = '[theme] .theme-back{background:' + color + ' !important;}';
        var checkbox = '[theme] input[type=checkbox]:checked + label::after{background:' + color + ('!important;border-color:' + color + ' !important;}');
        var slider = '[theme] .range-label{background:' + color + ';border:none}\n                        [theme] .noUi-horizontal .noUi-handle{background:transparent}';
        var input = '[theme] .input-field input[type=text]:focus + label {color:' + color + ';}\n                        [theme] .input-field input[type=text]:focus {border-bottom-color:' + color + ';\n                                                                  box-shadow: 0 1px 0 0 ' + color + ';}';
        var button = '[theme] .btn{background:' + color + '}';
        var switch_ = '.switch label input[type=checkbox]:checked+.lever{background:#aaa}';
        var toggle_ = '.switch label input[type=checkbox]:checked+.lever:after{background:' + color + '}'; // eslint-disable-line
        style.html(text + back + checkbox + slider + input + button + switch_ + toggle_);
      };

      redrawTheme();
      Emitter.on('theme:updateColor', function (event, customColor) {
        redrawTheme(customColor);
      });
    });
  });
}