'use strict';

Emitter.on('theme:updateColor', function (event, newColor) {
  Settings.set('themeColor', newColor);
  Emitter.sendToGooglePlayMusic('theme:updateColor', newColor);
  Emitter.sendToAll('theme:updateColor', newColor);
});

Emitter.on('theme:updateState', function (event, state) {
  Settings.set('theme', state.state);
  Emitter.sendToGooglePlayMusic('theme:updateState', state);
  Emitter.sendToAll('theme:updateState', state);
});

Emitter.on('theme:updateType', function (event, newType) {
  Settings.set('themeType', newType);
  Emitter.sendToGooglePlayMusic('theme:updateType', newType);
  Emitter.sendToAll('theme:updateType', newType);
});