'use strict';

var _child_process = require('child_process');

if (process.platform === 'win32' && !Settings.get('checkedForOldVersion', false)) {
  (0, _child_process.exec)('wmic product where Vendor="MarshallOfSound" get PackageCache /format:value', function (err, out) {
    Settings.set('checkedForOldVersion', true);
    var MSIPath = out.replace(/(?:\r\n|\r|\n)/g, '').replace('PackageCache=', '');
    if (MSIPath.split('.msi').length > 1) {
      Emitter.once('uninstall:confirm', function () {
        (0, _child_process.exec)('msiexec /uninstall ' + MSIPath);
      });
      Emitter.sendToWindowsOfName('main', 'uninstall:request');
    }
  });
} // This file is quite hacky, silly and overall quite dumb...
// But it needs to be here to handle the upgrade process from the old GPMDP