"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (fn) {
  return new Promise(function (resolve) {
    var wait = setInterval(function () {
      if (fn()) {
        clearInterval(wait);
        resolve();
      }
    }, 10);
  });
};