'use strict';

var _electron = require('electron');

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

window.addEventListener('load', function () {
  if (window.$ && Settings.get('welcomed') !== _electron.remote.app.getVersion()) {
    $('[data-app-changes]').html(_fs2.default.readFileSync(_path2.default.resolve(__dirname + '/../../../../MR_CHANGELOG.html'), 'utf8')); // eslint-disable-line

    $('#welcome').openModal({
      dismissible: false,
      complete: function complete() {
        Emitter.fire('welcomed', _electron.remote.app.getVersion());
      }
    });
  }
  if (window.$) {
    (function () {
      var modal = $('#about');
      $('[data-app-version]').text(_electron.remote.app.getVersion());
      $('[data-app-name]').text(_electron.remote.app.getName());
      Emitter.on('about', function () {
        modal.openModal({
          dismissable: true
        });
      });
    })();
  }
});