'use strict';

var parseURL = function parseURL(url) {
  if (!/https:\/\/play\.google\.com\/music\/listen/g.test(url)) return;
  document.querySelector('webview').executeJavaScript('window.location = "' + url + '"');
};

window.addEventListener('load', function () {
  if (!window.$) return;

  var modal = $('#goToURL');
  var URLInput = modal.find('input');
  var URLButton = modal.find('a');

  Emitter.on('gotourl', function () {
    modal.openModal({
      dismissible: true
    });
  });

  URLButton.click(function () {
    parseURL(URLInput.val());
  });

  URLInput.on('keydown', function (e) {
    if (e.which !== 13) return;
    modal.closeModal();
    parseURL(URLInput.val());
  });
});