'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

window._Notification = window.Notification;

var SilentNotification = function () {
  function SilentNotification(title, options) {
    var _this = this;

    _classCallCheck(this, SilentNotification);

    var opts = options;
    opts.silent = true;

    this._notification = new window._Notification(title, opts);
    this.title = this._notification.title;
    this.dir = this._notification.dir;
    this.lang = this._notification.lang;
    this.body = this._notification.body;
    this.tag = this._notification.tag;
    this.icon = this._notification.icon;
    this.data = this._notification.data;
    this.requireInteraction = false;
    this.silent = true;

    Object.defineProperty(this, 'onclick', {
      get: function get() {
        return _this._notification.onclick;
      },
      set: function set(fn) {
        _this._notification.onclick = fn;
      },
      configurable: true,
      enumerable: true
    });

    Object.defineProperty(this, 'onerror', {
      get: function get() {
        return _this._notification.onerror;
      },
      set: function set(fn) {
        _this._notification.onerror = fn;
      },
      configurable: true,
      enumerable: true
    });
  }

  _createClass(SilentNotification, [{
    key: 'close',
    value: function close() {
      this._notification.close();
    }
  }]);

  return SilentNotification;
}();

SilentNotification.permission = 'granted';
window.Notification = SilentNotification;