'use strict';

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var sliders = document.querySelectorAll('.eq-slide');
_lodash2.default.forEach(sliders, function (slider, index) {
  window.noUiSlider.create(slider, {
    start: Settings.get('eq', [1, 1, 1, 1, 1, 1])[index] * 100,
    step: 1,
    range: {
      min: 0,
      max: 200
    },
    format: {
      to: function to(value) {
        return value;
      },
      from: function from(value) {
        return value;
      }
    }
  });
  slider.noUiSlider.on('update', function (e) {
    Emitter.fireAtGoogle('eq:change', {
      index: index,
      value: parseInt(e[0], 10) / 100
    });
    Emitter.fire('eq:change', {
      index: index,
      value: parseInt(e[0], 10) / 100
    });
  });
});

document.querySelector('.reset-eq').addEventListener('click', function () {
  _lodash2.default.forEach(sliders, function (slider) {
    slider.noUiSlider.set(100);
  });
});