'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (fileName) {
  var DIR = _path2.default.resolve((_electron.app ? _electron.app.getPath('userData') : _electron.remote.require('electron').app.getPath('userData')) + '/json_store'); // eslint-disable-line

  var PATH = DIR + '/' + fileName + '.json';

  var OLD_DIR = (environment.APPDATA || ( // eslint-disable-line
  process.platform === 'darwin' ? environment.HOME + '/Library/Preferences' : _os2.default.homedir())) + // eslint-disable-line
  '/GPMDP_STORE';

  var OLD_PATH = OLD_DIR + '/' + fileName + '.json';

  if (!_fs2.default.existsSync(DIR)) {
    _mkdirp2.default.sync(DIR);
  }

  if (_fs2.default.existsSync(OLD_PATH)) {
    _fs2.default.renameSync(OLD_PATH, PATH);
    _fs2.default.rmdirSync(OLD_DIR);
  }

  return PATH;
};

var _electron = require('electron');

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _mkdirp = require('mkdirp');

var _mkdirp2 = _interopRequireDefault(_mkdirp);

var _os = require('os');

var _os2 = _interopRequireDefault(_os);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var environment = process.env;